new;
library pgraph;
#include grgbase_gen.prc;
load cvs[10000,49] = cvs_10krep_sp.txt;             /* open critical values */
load data[1129,1] = dataset.dat;                    /* open prediction errors */
cv = cvs[.,2]~cvs[.,3]~seqa(1/10000,1/10000,10000); 

nnn = rows(data);                                   /* sample size  */
pp   = seqa(1/nnn, 1/nnn, nnn);                     /* probability space */
fff  = zeros(nnn,4);
   
iii   = 2;
do until iii > nnn-1;
     zzz3  = grgbase(nnn, data, pp[iii,1]);         
     intr3 = sumc(abs(zzz3))/100;

     fff[iii,1] = intr3;
     fff[iii,2] = maxc(abs(zzz3));
     iii = iii + 1;
endo;

etas  = maxc(fff[.,2]);                             /* compute sup-norm based GR test */
tetas = sumc(fff[.,1])/nnn;                         /* compute L1-norm  based GR test */

petas = meanc((cv[.,1] .> etas));                   /* compute pvalue of sup-norm GR test */
pteta = meanc((cv[.,2] .> tetas));                  /* compute pvalue of L1-norm  GR test */

print "=======================================";
print "Computing GR tests with P and S unfixed";
print "=======================================";
print "sup-norm based GR test" etas; 
print "L1-norm  based GR test" tetas; 
print "=======================================";
print "sup-norm based GR test" petas;
print "L1-norm  based GR test" pteta;
print "=======================================";
